Page MenuHomePhabricator

Change a storage location for Book creator on Thai Wikipedia
Closed, ResolvedPublic

Description

Hello,

Due to Thai Wikipedia have a consensus to create a Book namespace, the Book creator need to change a storage location from "วิกิพีเดีย:หนังสือ/" to "หนังสือ" (Book namespace for Thai languages).

Thank you.

Note: This task separated from https://phabricator.wikimedia.org/T216322

Event Timeline

Geonuch created this task.Feb 16 2019, 3:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2019, 3:34 PM
B20180 added a subscriber: B20180.Feb 16 2019, 7:19 PM

Any chance you could track down / identify the exact string to change in https://phabricator.wikimedia.org/diffusion/ECOL/browse/master/i18n/th.json ?

I don't find related-string in JSON. I wonder if why a storage location in enwiki is a "Book namespace" but other wikipedia is a "Wikipedia:Books/" (default?). I upload a "Special:Book" screenshot from "Save and share your book" section to compare enwiki and thwiki.

That's https://translatewiki.net/wiki/MediaWiki:Coll-collections/th (encoded in a non readable way in the json file)

So of what I understand of the extension code you can fill the value that you want to have in Mediawiki:Coll-community_book_prefix , like หนังสือ: (Book:), the NS that will be created in T216322: Create a new namespaces on thai wikimedia projects.

It's great. I can't believe that it easier than I thought. Thank you very much.

Ammarpad claimed this task.Feb 21 2019, 9:20 AM
Ammarpad changed the task status from Open to Stalled.Mar 4 2019, 9:24 AM

Until T216322 is resolved.

Ammarpad closed this task as Resolved.Sep 23 2019, 6:23 AM

This has been resolved I believe. Please reopen if otherwise.